# Created by pyp2rpm-1.0.1
%global pypi_name gevent-socketio
%global with_python3 0
%define version 0.3.6

Name:           python-gevent-socketio
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        SocketIO server based on the Gevent pywsgi server, a Python network library

License:        BSD
Source0:        https://pypi.python.org/packages/source/g/gevent-socketio/gevent-socketio-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
%endif # if with_python3


%description
``gevent-socketio`` is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        SocketIO server based on the Gevent pywsgi server, a Python network library


%description -n python3-%{pypi_name}
``gevent-socketio`` is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
# generate html docs 
sphinx-build-3.4 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.rst LICENSE
%{python_sitelib}/socketio
%{python_sitelib}/gevent_socketio-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc html README.rst LICENSE
%{python3_sitelib}/socketio
%{python3_sitelib}/gevent_socketio-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Tue Sep 23 2014 pinoc <vogtpet at gmail.com> 0.3.6-1pclos2014
- imported package

